【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

admin 2022年6月23日19:22:31安全漏洞评论19 views1673字阅读5分34秒阅读模式
【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

漏洞名称:

Spring Data MongoDB SpEL 表达式注入漏洞

组件名称:

Spring Data MongoDB

影响范围

Spring Data MongoDB  3.4.0

3.3.0 ≤ Spring Data MongoDB ≤ 3.3.4

更早或不再受支持的版本也受到此漏洞影响

漏洞类型:

远程代码执行

利用条件:

1、用户认证:不需要用户认证
2、前置条件:需要 Spring Data MongoDB 输入源可控

3、触发方式:远程

综合评价:

<综合评定利用难度>:中等。

<综合评定威胁等级>:高危,能造成远程代码执行。



漏洞分析

【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

组件介绍

Spring Data MongoDB 为 Spring Data 下的子项目,用于为 MongoDB 提供接口服务,便于接入Spring 软件生态中使用。

【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

漏洞简介

近日,深信服安全团队监测到一则 Spring Data MongoDB 组件存在  SpEL 表达式注入漏洞的信息,漏洞编号:CVE-2022-22980,漏洞威胁等级:高危。


当使用 @Query 或 @Aggregation 注解进行查询时,若通过 SpEL 占位符获取输入参数,并且未对用户输入进行有效过滤,则可能受该漏洞影响。攻击者可利用该漏洞,构造恶意数据执行远程代码,最终获取服务器权限。

影响范围

目前受影响的 Spring Data MongoDB 版本:

Spring Data MongoDB  3.4.0

3.3.0 ≤ Spring Data MongoDB ≤ 3.3.4

更早或不再受支持的版本也受到此漏洞影响

解决方案

【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

1.如何检测系统补丁安装情况

若为 Maven 项目,可查询 pom.xml 中使用的 spring-data-mongodb 版本是否在受影响范围。


<dependency><groupId>org.springframework.data</groupId><artifactId>spring-data-mongodb</artifactId><version>${version}</version></dependency>
【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

2.官方修复建议

当前官方已发布最新版本,建议受影响的用户及时更新升级到最新版本。链接如下:

https://spring.io/projects/spring-data-mongodb

【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

3.深信服解决方案

3.1 主动检测

支持对 Spring Data MongoDB SpEL 表达式注入漏洞(CVE-2022-22980)的主动检测,可批量快速检出业务场景中该事件的受影响资产情况,相关产品如下:
【深信服云镜YJ】预计2022年6月24日发布检测方案。

【深信服漏洞评估工具TSS】预计2022年6月24日发布检测方案。

【深信服安全托管服务MSS】预计2022年6月24日发布检测方案。


3.2 安全监测

支持对 Spring Data MongoDB SpEL 表达式注入漏洞(CVE-2022-22980)的监测,可依据流量收集实时监控业务场景中的受影响资产情况,快速检查受影响范围,相关产品及服务如下:

【深信服安全感知管理平台SIP】已发布检测方案。

【深信服安全托管服务MSS】已发布检测方案。


3.3 安全防护

支持对 Spring Data MongoDB SpEL 表达式注入漏洞(CVE-2022-22980)的防御,可阻断攻击者针对该事件的入侵行为,相关产品及服务如下:

【深信服下一代防火墙AF】已发布防护方案。

【深信服Web应用防火墙WAF】已发布防护方案。

【深信服安全托管服务MSS】已发布防护方案。

时间轴


2022/6/21

深信服监测到 Spring 官方发布安全补丁。

2022/6/21 

深信服千里目安全技术中心发布漏洞通告

2022/6/23 

深信服千里目安全技术中心发布漏洞二次通告。


参考链接


https://tanzu.vmware.com/security/cve-2022-22980



点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980
【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980



原文始发于微信公众号(深信服千里目安全实验室):【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年6月23日19:22:31
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  【二次通告】Spring Data MongoDB SpEL表达式注入漏洞CVE-2022-22980 https://cn-sec.com/archives/1138389.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: